.color {
  &-main {
    color: $color-main !important;
  }

  &-sub {
    color: $color-sub !important;
  }

  &-gray {
    color: $color-gray !important;
  }

  &-black {
    color: $color-black !important;
  }

  &-white {
    color: #fff !important;
  }
}

.background {
  &-main {
    background-color: $color-main !important;
  }

  &-sub {
    background-color: $color-sub !important;
  }

  &-gray {
    background-color: $color-gray !important;
  }

  &-white {
    background-color: #fff !important;
  }

  &-black {
    background-color: $color-black !important;
  }
}

.block {
  display: block;
}

.bg-comma {
  padding-top: 4rem;

  &::before {
    content: "\f10e";
    font-family: $font-awesome;
    font-size: 12rem;
    font-weight: 700;
    position: absolute;
    top: -15px;
    left: -15px;
    opacity: 0.075;
  }
}

.heading {
  position: relative;
  font-family: $font-1;
  font-size: 50px;
  font-weight: 200;
  display: block;

  @media (max-width: 991px) {
    font-size: 32px;
  }

  &-alt {
    position: relative;
    font-family: $font-1;
    font-size: 2.25rem;
    font-weight: 700;
    margin-bottom: 1.5rem;
    display: block;

    @media (max-width: 991px) {
      font-size: 32px;
    }
  }

  &-bg {
    font-family: $font-1;
    font-size: 28px;
    font-weight: 700;
    background-color: rgba($color-main, .3);
    padding: .5rem 1.5rem;
  }

  &-sub {
    font-family: $font-1;
    font-size: 38px;
    font-weight: 400;
    margin-bottom: 20px;
  }

  &-mini {
    font-family: $font-1;
    font-size: 28px;
    font-weight: 700;
    margin-bottom: 20px;
  }

  &-mini-light {
    font-family: $font-1;
    font-size: 23px;
    font-weight: 300;
  }

  &-mini-heavy {
    font-family: $font-1;
    font-size: 23px;
    font-weight: 800;
  }

  &-fancy {
    font-family: $font-fancy;
    font-size: 100px;
    font-weight: 400;
  }

  &-conclusion {
    font-size: 80px;

    @media (max-width:1400px) {
      font-size: 70px;
    }

    @media (max-width: 1200px) {
      font-size: 60px;
    }

    @media (max-width: 567px) {
      font-size: 40px;
    }
  }
}

.title-bar {
  display: block;
  width: 380px;
  max-width: 100%;
  height: 2px;
  background-color: $color-black;
  margin: 20px 0;


  &-pullup {
    margin-top: -35px;
  }
}

.color-white .title-bar {
  background-color: #fff;
}

.text-center .title-bar {
  @include margin-auto;
}

.link-common {
  position: relative;
  font-family: $font-1;
  font-size: 23px;
  font-weight: 600;
  line-height: 35px;

  &::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    display: block;
    width: 100%;
    border-bottom: 2px solid $color-main;
    margin-top: 2px;
  }
}

.link-box {
  font-family: $font-1;
  font-size: 17px;
  display: inline-block;
  letter-spacing: 1.19px;
  line-height: 20px;
  color: #fff;
  background-color: $color-main;
  padding: 15px 32px;
  border-radius: 10px;

  img {
    width: 10px;
    margin-left: 32px;
  }

  &:hover {
    color: $color-black;
    background-color: darken($color-main, 8%);
  }
}

.btn {
  font-family: $font-1;
  font-size: 23px;
  font-weight: 800;
  border-radius: 13px;
  border-color: transparent;
  cursor: pointer;
  transition: all .2s ease-in;

  img {
    width: 15px;
  }

  &-gray {
    color: $color-black;
    background-color: #F3F3F4;
  }

  &-main {
    color: #fff;
    background-color: $color-main;
  }

  &-sub {
    color: #fff;
    background-color: $color-sub;
  }

  &-main-alt {
    color: $color-black;
    background-color: $color-main;
  }

  &-icon-left img {
    margin-right: 17px;
  }

  &-icon-right img {
    margin-left: 17px;
  }
}

.img-fit {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.text-center .link-common::after {
  @include margin-auto;
}

.text-center {

  .heading-separator,
  .heading-after,
  .heading-icon {
    @include margin-auto;
  }
}

.imgtobg {

  &-o,
  &-o-sm {
    position: relative;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
  }

  &-o-sm {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
  }

  &-img {
    max-width: 100%;

    img {
      max-width: 100%;
    }
  }
}

.square {
  position: relative;
  overflow: hidden;

  img {
    position: relative;
    min-width: 100%;
    width: auto;
    max-width: 150%;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);
    object-fit: cover;
  }
}

.img {
  &-floatleft {
    float: left;
    margin-right: 1rem;
    margin-bottom: 1rem;
  }

  &-floatright {
    float: right;
    margin-left: 1rem;
    margin-bottom: 1rem;
  }

  @include respond(tabland) {

    &-floatleft,
    &-floatright {
      max-width: 50%;
    }
  }
}

/* remove float at certain viewports */
.float {
  @include respond(smdesktop) {
    &-lg {
      float: none;
    }
  }

  @include respond(tabland) {
    &-md {
      float: none;
    }
  }

  @include respond(tabport) {
    &-sm {
      float: none;
    }
  }

  @include respond(phone) {
    &-xs {
      float: none;
    }
  }
}

.max-width {
  &--50 {
    max-width: 50px;
  }

  &--100 {
    max-width: 100px;
  }

  &--150 {
    max-width: 150px;
  }

  &--200 {
    max-width: 200px;
  }

  &--250 {
    max-width: 250px;
  }

  &--300 {
    max-width: 300px;
  }

  &--350 {
    max-width: 350px;
  }

  &--400 {
    max-width: 400px;
  }

  &--480 {
    max-width: 480px;
  }

  &--500 {
    max-width: 500px;
  }

  &--550 {
    max-width: 550px;
  }

  &--600 {
    max-width: 600px;
  }

  &--650 {
    max-width: 650px;
  }

  &--700 {
    max-width: 700px;
  }

  &--750 {
    max-width: 750px;
  }

  &--800 {
    max-width: 800px;
  }

  &--850 {
    max-width: 850px;
  }

  &--900 {
    max-width: 900px;
  }

  &--1000 {
    max-width: 1000px;
  }

  &--1100 {
    max-width: 1100px;
  }

  &--1200 {
    max-width: 1200px;
  }

  &--1300 {
    max-width: 1300px;
  }

  &--1400 {
    max-width: 1400px;
  }
}

.margin-auto {
  @include margin-auto;
}

.no-padding {
  padding: 0;
}

.list {
  &-content {
    padding-left: 1rem;
    margin-bottom: 2rem;
    list-style-type: none;

    li {
      font-size: 1.8rem;
      position: relative;
      margin-bottom: 0.75rem;
      padding-left: 2rem;

      &::before {
        content: "\f105";
        font-family: $font-awesome;
        font-size: 1.4rem;
        font-weight: 700;
        position: absolute;
        top: 2px;
        left: 0;
      }
    }
  }

  &-x2 {
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;

    li {
      width: 50%;
      padding-right: 1rem;
    }
  }

  &-icon {
    position: relative;
    margin-bottom: 1.5rem;

    li {
      position: relative;
      padding-left: 3rem !important;

      &::before {
        display: none;
      }

      >i {
        @include absoltopcenter;
        left: 0;
        font-size: 1.8rem;
      }

      span,
      strong {
        display: block;
      }
    }
  }
}

.section-bg {
  @include absoldefault;
}

.text-highlight {
  position: relative;
  padding: 0 25px;

  svg {
    position: absolute;
    top: 0;
    height: 100%;

    * {
      width: 100%;
      height: 100%;
    }

    polygon {
      fill: #fff;
    }
  }

  &-left {
    left: 3px;
  }

  &-right {
    right: 3px;
  }

  span {
    z-index: 1;
    position: relative;
    color: #000;
    background-color: #fff;
    font-family: $font-1;
    font-size: 24px;
    font-weight: 800;
    padding: 10px;
    display: inline-block;
  }
}

.text-focus {
  position: relative;
  padding: 10px;
  color: #fff;
  background-color: $color-sub;

  &-title {
    font-family: $font-1;
    font-size: 20px;
    font-weight: 300;
  }

  svg {
    position: absolute;
    top: 0;
    height: 100%;

    polygon {
      fill: $color-sub;
    }

    &:first-child {
      right: calc(100% - 1px);
    }

    &:last-child {
      left: calc(100% - 1px);
    }
  }
}

.bg-leaves {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100vw;
  height: 100%;

  [class^="bg-leaves-"] {
    position: absolute;
    width: 320px;
    max-height: 100%;

    img {
      max-width: 100%;
    }
  }

  &-top-lt {
    top: 0;
    left: 15%;
  }

  &-top-lt-0 {
    top: 0;
    left: 0%;
  }

  &-right-tp {
    top: 15%;
    right: 0;
  }

  &-center-lt {
    top: 50%;
    transform: translateY(-50%);
    left: 0;
  }

  &-right-bt {
    bottom: 15%;
    right: 0;
  }

  &-bottom-lt {
    width: 500px;
    bottom: 0%;
    left: 15%;
  }

  &-bottom-lt-0 {
    width: 500px;
    bottom: 0%;
    left: 0%;
  }
}

.intro-section {
  &-title {
    z-index: 1;
    position: relative;
    font-size: 120px;
    line-height: 0;
    margin-top: 40px;
    margin-bottom: 15px;
    text-shadow: 2px 2px 4px rgba(#000, .05);

    @media (max-width: 567px) {
      font-size: 70px;
    }

  }

  .row {
    margin-left: -30px;
    margin-right: -30px;
  }

  [class^="col-"] {
    padding: 30px
  }

  &-img {

    &-lg,
    &-md,
    &-sm {
      img {
        @include imgfit;
      }
    }

    &-lg {
      height: 760px;
    }

    &-md {
      height: 600px;
    }

    &-sm {
      height: 480px;
    }
  }

  &-map {
    width: 100%;
    height: 335px;

    iframe {
      width: 100%;
      height: 100%;
    }
  }
}

[class^="intro-section-img-"]+[class^="intro-section-img-"] {
  margin-top: 40px;

  @media (max-width: 991px) {
    margin-top: 20px;
  }
}

.content-wrapper {
  p {
    font-size: 18px;
    line-height: 32px;
  }

  &-lg {
    p {
      font-size: 20px;
      line-height: 34px;
    }
  }

  &-column2 {
    column-count: 2;
    column-gap: 50px;
  }
}

.cardbg {
  padding: 35px;
  background-color: #fff;
}

.post {
  &-title {
    font-size: 30px;
    font-weight: 500;
  }

  &-img {
    position: relative;
    margin: 15px 0;

    &-md {
      height: 250px;
    }

    &-lg {
      height: 420px;
    }

    img {
      @include imgfit;
    }
  }

  &-video {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    margin: 40px 0;

    iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
    }
  }

  &-notice {
    padding: 40px;
    margin: 40px 0;
    border-left: 5px solid $color-main;
    background-color: $color-gray;

    &-title {
      color: $color-main;
      position: relative;
      font-size: 25px;
      font-weight: 400;
      padding-left: 60px;
      margin-bottom: 20px;

      &::before {
        content: "";
        @include absoltopcenter;
        left: 0;
        width: 45px;
        height: 3px;
        background-color: $color-main;
      }
    }
  }

  &-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 20px 0;
    padding: 30px 0;
    border-top: 1px solid rgba(#000, .15);

    &-prev,
    &-next {
      position: relative;
      width: 50%;

      a {
        display: block;
      }

      span {
        display: block;
        font-size: 14px;
        margin-bottom: 0;
      }

      h5 {
        font-size: 20px;
        font-weight: 400;
      }

      @media (max-width: 767px) {
        height: 40px;

        span,
        h5 {
          display: none
        }
      }
    }

    &-icon {
      @include absoltopcenter;
      display: block;
      width: 40px;
      height: 40px;
      line-height: 40px;
      text-align: center;
      border: 1px solid #000;
      border-radius: 50%;

      img {
        @include absolcenter;
        width: 50%;
        filter: brightness(0);
      }

      &,
      img {
        transition: all .3s ease-out;
      }
    }

    a:hover &-icon {
      background-color: $color-main;
      border-color: $color-main;

      img {
        filter: brightness(0) invert(1);
      }
    }

    &-prev {
      padding-left: 60px;
    }

    &-prev &-icon {
      left: 0;
    }

    &-next {
      padding-right: 60px;
      text-align: right;
    }

    &-next &-icon {
      right: 0;
    }

    @media (max-width: 767px) {

      &-prev,
      &-next {
        padding: 0 10px;
      }

      &-prev {
        text-align: right;
      }

      &-next {
        text-align: left;
      }

      &-icon {
        position: relative;
        top: auto;
        left: auto;
        right: auto;
        transform: none;
      }

      &-prev &-icon {
        margin-left: auto;
      }
    }
  }
}

.tags {
  span {
    display: inline-block;
    margin-bottom: 10px;

    a {
      display: block;
      font-weight: 500;
      padding: 6px 12px;
      color: $color-black;
      background-color: #fff;
      border: 1.5px solid $color-main;
      border-radius: 4px;

      &:hover {
        color: #fff;
        background-color: $color-main;
      }
    }


    &:not(:last-child) {
      margin-right: 5px;
    }
  }
}

.entry {
  &-title {
    margin-bottom: 40px;
  }

  &-footer {
    margin: 40px 0;

    @media (max-width: 767px) {
      [class^="col-"] {
        margin-bottom: 20px;
      }
    }
  }

  &-social {
    &-item {
      display: inline-block;
      width: 40px;
      height: 40px;
      line-height: 40px;
      font-size: 18px;
      text-align: center;
      color: #fff;
      background-color: $color-main;
      border-radius: 4px;

      &:not(:last-child) {
        margin-right: 5px;
      }

      a {
        display: block;

        &:hover {
          color: #fff;
        }
      }


      &-facebook {
        color: #fff;
        background: linear-gradient(to right, #315297, #4666b3);
      }

      &-instagram {
        color: #fff;
        background: radial-gradient(circle at 30% 107%, #fdf497 0, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285aeb 90%);
      }

      &-whatsapp {
        color: #fff;
        background: linear-gradient(to right, #44c054, #40bc50);
      }

      &-tiktok {
        color: #fff;
        background: #ee1d52;
      }
    }
  }
}

.imgfit {
  @include imgfit
}